from django.db import models
import secrets
import traceback

from django.contrib.auth.models import AbstractUser

def random_key(i):
    key = ""
    for i in range(i):
        key += secrets.choice("abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789")
    return key

def random_key_30():
    return random_key(30)

class User(AbstractUser):
    is_activated = models.BooleanField(default=True, null=False, blank=True)
    activation_code = models.CharField(max_length=30, default=random_key_30, null=False, blank=True)
    admin_mails = models.BooleanField(default=False)
