from django.urls import path, re_path

from . import views

urlpatterns = [
    path("accounts/register/", views.register_view, name="register"),
    path("accounts/login/", views.login_view, name="login"),
    path("accounts/logout/", views.logout_view, name="logout"),
    path("accounts/activate/<str:activation_code>", views.activate_view, name="activate"),
]
